## org.eclipse.datatools.sqltools.data.internal.core.common.data
Class DataSerializer

    java.lang.Object
      org.eclipse.datatools.sqltools.data.internal.core.common.data.DataSerializer

    public class DataSerializer

extends java.lang.Object

Constructor Summary
`DataSerializer()`

Method Summary
`static java.lang.String` `doubleStringDelim(java.lang.String s, java.lang.String delim)`
`static boolean` `needsQuote(int type)`
`static java.lang.String` `serialize(java.lang.Object val, int type)`
`static java.lang.String` `write(java.lang.Object val, int type, java.lang.String stringDelim)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DataSerializer

    public DataSerializer()

Method Detail

### serialize

    public static java.lang.String serialize(java.lang.Object val,
                                             int type)

### write

    public static java.lang.String write(java.lang.Object val,
                                         int type,
                                         java.lang.String stringDelim)

### doubleStringDelim

    public static java.lang.String doubleStringDelim(java.lang.String s,
                                                     java.lang.String delim)

### needsQuote

    public static boolean needsQuote(int type)